Subject: Re: [PATCH 00/15] net: ftgmac100: Various probe cleanups

From: Simon Horman <[email-masked]>
Date: Wed, 7 Jan 2026 15:54:27 +0000

On Mon, Jan 05, 2026 at 03:08:46PM +0800, Jacky Chou wrote:
> The probe function of the ftgmac100 is rather complex, due to the way
> it has evolved over time, dealing with poor DT descriptions, and new
> variants of the MAC.
> 
> Make use of DT match data to identify the MAC variant, rather than
> looking at the compatible string all the time.
> 
> Make use of devm_ calls to simplify cleanup. This indirectly fixes
> inconsistent goto label names.
> 
> Always probe the MDIO bus, when it exists. This simplifies the logic a
> bit.
> 
> Move code into helpers to simply probe.
> 
> Signed-off-by: Andrew Lunn <[email-masked]>
> Signed-off-by: Jacky Chou <[email-masked]>

Hi,

I'm slightly unclear on the providence of this patchset.
But overall it looks good to me. And I particularly like
how it has been split up into bite-sized chunks.

I don't see anything that should block progress, but I do have a few
minor nits that I'll raise just in case there is a v2 for other reasons.

The first nit is that the patch-set should be targeted at net-next,
by including inet-next in the Subjects, like this:

  [PATCH net-net 00/15] ...

The other minor nits are patch-specifically, so I'll respond to those patches
accordingly.

Again, overall this looks good to me.
So for the series:

Reviewed-by: Simon Horman <[email-masked]>